using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("AuditEvent")]
    public class AuditEvent
    {
        [Key]
        public int AuditEventID { get; set; }
        [Required]
        [StringLength(20)]
        public string System { get; set; }
        [Required]
        [StringLength(50)]
        public string AuditModule { get; set; }
        [Required]
        [StringLength(100)]
        public string AuditEventName { get; set; }
        [Required]
        [StringLength(200)]
        public string Createdby { get; set; }
        [Required]
        [Column(TypeName = "datetime2")]
        public DateTime CreatedDateTime { get; set; }
        [Required]
        [StringLength(200)]
        public string LastUpdatedBy { get; set; }
        [Required]
        [Column(TypeName = "datetime2")]
        public DateTime LastUpdatedDateTime { get; set; }
    }
}
